UbuntuUpdates.org

Package "gcc-5-doc"

Name: gcc-5-doc

Description:

Documentation for the GNU compilers (gcc, gobjc, g++)

Latest version: 5.4.0-6ubuntu1~16.04.12
Release: xenial (16.04)
Level: security
Repository: main
Head package: gcc-5
Homepage: http://gcc.gnu.org/

Links


Download "gcc-5-doc"


Other versions of "gcc-5-doc" in Xenial

Repository Area Version
base main 5.3.1-14ubuntu2
updates main 5.4.0-6ubuntu1~16.04.12
PPA: Canonical Kernel Team 5.4.0-6ubuntu1~16.04.9

Changelog

Version: 5.4.0-6ubuntu1~16.04.12 2019-11-05 17:07:08 UTC

  gcc-5 (5.4.0-6ubuntu1~16.04.12) xenial; urgency=medium

  * No change rebuild against security.

Source diff to previous version

Version: 5.4.0-6ubuntu1~16.04.10 2018-06-28 00:07:05 UTC

  gcc-5 (5.4.0-6ubuntu1~16.04.10) xenial-security; urgency=medium

  * Backport upstream revision r257489 (Spectre #2 mitigation for s390x).
    LP: #1759152.

 -- Matthias Klose <email address hidden> Mon, 18 Jun 2018 15:31:24 +0200

Source diff to previous version
1759152 Spectre related Compiler updates

Version: 5.4.0-6ubuntu1~16.04.9 2018-02-20 21:07:44 UTC

  gcc-5 (5.4.0-6ubuntu1~16.04.9) xenial-security; urgency=medium

  * Revert retpoline changes of ppc64el as per the recommendation from
    Bill Schmidt of IBM.
    - ppc-add-mspeculate-indirect-jumps: drop.

Source diff to previous version

Version: 5.4.0-6ubuntu1~16.04.4 2016-11-09 21:06:48 UTC

  gcc-5 (5.4.0-6ubuntu1~16.04.4) xenial-security; urgency=medium

  * SRU
    - Fix PR target/72863, redundant swaps when using vec_vsx_ld/st,
      taken from the gcc-5 branch. LP: #1638055.
    - Fix PR rtl-optimization/71709, taken from the gcc-5 branch. LP: #1628207.

 -- Matthias Klose <email address hidden> Wed, 02 Nov 2016 19:23:52 +0100

Source diff to previous version
1638055 redundant swaps when using vec_vsx_ld/st
1628207 boot arguments passed in CONFIG_CMDLINE not being picked up by kernel with gcc-ppc64-linux-gnu v5.4.0 and v6.1.1

Version: 5.4.0-6ubuntu1~16.04.2 2016-08-09 13:06:46 UTC

  gcc-5 (5.4.0-6ubuntu1~16.04.2) xenial-security; urgency=medium

  * No change rebuild for the security pocket.

 -- Marc Deslauriers <email address hidden> Thu, 04 Aug 2016 11:26:47 -0400




About   -   Send Feedback to @ubuntu_updates